Bug 464738 - Tabs and spaces are represented with other characters instead of tabs and empty spaces
Tabs and spaces are represented with other characters instead of tabs and emp...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 22:36 EDT by George Notaras
Modified: 2013-07-02 19:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.6.2-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 10:16:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Notaras 2008-09-29 22:36:27 EDT
In "mcedit", the midnight commander internal editor, tabs and empty spaces are represented with the following sequence of characters "<------>" and dots (.) respectively instead of the natural tabs and empty spaces!

This is probably the most funny and annoying feature in the entire history of text editors! Not only it makes editting difficult, but also those irrelevant characters are copied together with the text when, for example, I want to copy a portion of the text in the opened document in mcedit inside a terminal to a graphical editor on my desktop.

Please disable this annoying feature in Fedora by default or include a file, as extra documentation, describing how to turn it off.
Comment 1 Jindrich Novy 2008-10-23 09:43:44 EDT
You can use ctrl-v to switch among four display modes (no highlighting/spaces/tabs/tabs+spaces) in rawhide now.
Comment 2 George Notaras 2008-10-26 06:43:25 EDT
Got the mc package from rawhide and used it in fedora 9.

Ctrl-V changes to the following modes:

1) tabs as '<----->' trailing spaces as dots '.'

2) trailing spaces are not visible. Tabs, if we suppose that they are 8 characters long, they are are not visible, but a black box appears as shown below ('H' is the black box):

H       H       test

3) Tabs shown as in (2) -black boxes- and trailing spaces as dots, as in (1)

4) tabs shown as in (1), '<---->'. Trailing spaces are not visible.

The black boxes are a bit strange. Maybe I should have upgraded another library from rawhide together with mc. I do not know.

Generally, the feature of representing tabs and trailing spaces with visible characters is not bad. But, my main objection is that it should not be the default behavior.

The major problem for me was that those '<---->' were copied together with the text whenever I copied text from gnome-terminal and pasted it to a graphical editor on the desktop. So, the last weeks I switched back to vi instead of mcedit, until the situation around this feature gets stable.

Thanks for responding.
Comment 3 Jindrich Novy 2008-10-27 09:49:03 EDT
Thanks for noticing. I use a different colour scheme than default (with the black background) so I haven't seen the black box while debugging the tab highlighting. There are also issues with highlighting of the marked text by F3 which needs to be fixed, I'm looking into it now. I will release mc update as soon as it's fixed and update this as soon as I'll make it a bit better.
Comment 4 George Notaras 2008-11-02 10:23:41 EST
Thanks

I would also like to apologize about my stupid comments in the initial bug submission. Being able to see non-printable characters is many times very useful. The fact that there was not an obvious way to disable this feature made me judge it in a negative way.
Comment 5 Tomas Mraz 2009-03-28 17:08:35 EDT
I still see the black boxes with mc-4.6.2-9.pre1.fc11.x86_64.
Comment 6 Fedora Update System 2009-06-01 06:56:02 EDT
mc-4.6.2-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mc-4.6.2-4.fc9
Comment 7 Fedora Update System 2009-06-02 10:16:02 EDT
mc-4.6.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.